#c24m-header-top {
  width: 100%;
  max-width: 1280px;
  height: 40px;
  margin: 0 auto;
  padding: 0 10px;
}

.c24m-header-top-icons {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  gap: 10px;
  height: 40px;

  nav {
    display: none;
  }
}

#c24m-logo {
  position: absolute;
  top: 50%;
  left: 10px;
  transform: translateY(-50%);
  width: 106px;
  height: 26px;
  margin: 0 auto;
  cursor: pointer;
}

#c24m-customer {
  width: 22px;
  height: 22px;
  padding: 0;
  float: unset;
}

@media screen and (pointer: fine) and (width > 740px), screen and (pointer: coarse) and (width > 740px) and (height > 500px) {
  html:not([data-touch-mode='true']) {
    #c24m-header-top {
      height: 74px;
      padding: 0 16px;
    }

    #c24m-logo {
      position: relative;
      top: unset;
      left: unset;
      flex-shrink: 0;
      transform: unset;
      width: 163px;
      height: 44px;
      margin-top: 20px;
      padding: 0;
      background-size: 162px;
    }

    .c24m-header-top-icons {
      height: 74px;
    }

    #c24m-customer {
      width: 24px;
      height: 24px;

      .c24m-customer-icon {
        width: 24px;
        height: 24px;
      }
    }
  }
}

@media only screen and (width >= 1312px) {
  #c24m-header-top {
    padding: 0;
  }
}

/* Icons */
.c24m-contact-wrapper {
  display: none;
}

a:has(.c24m-customer-expired),
a:has(.c24m-customer-guest) {
  display: none;
}

